<html>
  <head>
    <title> Universit&auml;t Heidelberg HCI 
&mdash;
Automated Cell Nuclei detection for Large-Volume Electron Microscopy of Neural Tissue
 </title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="keywords" content="benchmarking, benchmark, performance, analysis, evaluation, computer vision, image processing"/>
    <meta name="description" content="At the Heidelberg Collaboratory for Image Processing (HCI) we evaluate the performance of Computer Vision algorithms. Currently, we are recording very large amounts of data which cannot be easily downloaded in a single file. Therefore, this website is currently being developed in order to allow searching all kinds of annotated datasets which have been created in our labs."/>
    <meta http-equiv="Content-Language" content="de"/>
    <meta name="author" content=""/>
    <meta name="organization-name" content=""/>
    <meta name="organization-email" content=""/>
    <meta name="city" content="Heidelberg"/>
    <meta name="country" content="Germany - Deutschland"/>
    <meta name="language" content="German, Deutsch, de, at,ch"/>
    <meta name="robots" content="index"/>
    <meta name="robots" content="follow"/>
    <meta name="revisit-after" content="3 days"/>
    <meta http-equiv="imagetoolbar" content="no"/>
    <meta name="MSSmartTagsPreventParsing" content="true"/>

    <link rel='stylesheet' type="text/css" href="/Benchmarks/media/stylesheets/screen.css" media="screen"></link>
    <link rel='stylesheet' type="text/css" href="/Benchmarks/media/stylesheets/style.css" media="screen"></link>
    <!--[if IE]>
      <link rel='stylesheet' type="text/css" href="/Benchmarks/media/stylesheets/ie.css" media="screen"></link>
        <![endif]-->
    <link rel='stylesheet' type="text/css" href="/Benchmarks/media/stylesheets/redpepper.css" media="screen"></link>
    
  </head>
  <body>
    <div id="topBarInstituteVariabel">
      <a name="up" id="up"></a>
    </div> 
    <div id="universitaetVariabel">
      <a href="http://www.uni-heidelberg.de/index.html">
        <img src="http://www.uni-heidelberg.de/images/uni/institute/all/schriftzug_uni_heidelberg.gif" width="416" height="18" alt="Ruprecht-Karls-Universität Heidelberg" />
      </a>
    </div> 
    <div id='greyBar'></div>
    <div class='container' style="float:left;margin-left:10px;">
      <div class='hci_menu span-4'>
        <div id="leftColumn3spalterVariabel"> 
  <div class="institutslogo">
    <a href="http://hci.iwr.uni-heidelberg.de/index.php"><img src="http://hci.iwr.uni-heidelberg.de/images/hciLogoSmall.png" alt="HCI, Universität Heidelberg" width="200"/></a>
  </div>
  <div class="institutslogo"> </div>
  <div id="naviMainContainer"> 
    <ul>
      <li><a   href="/index.php" target="_top">Home</a> </li>
      <li><a   href="/Research/"target="_top">Research</a> </li>
      <li><a   href="/Publications/">Publications</a> </li>
      <li><a   href="/Software/" target="_top">Software</a> </li>
      <li><a   href="/Benchmarks/" target="_top">Benchmarks</a></li>
      <li><a   href="/Teaching/"target="_top">Teaching&nbsp;</a> </li>
      <li><a   href="http://hci.iwr.uni-heidelberg.de//People/"target="_self">People</a> </li>
      <li><a   href="https://gorgonzola.iwr.uni-heidelberg.de/intern/index.php "target="_top">Staff Only </a> </li>
      <li><a   href="/Events/">Events</a> </li>
      <li><a   href="/Jobs/"target="_self">Open Positions</a> </li>
      <li><a   href="/Links/"target="_self">Links</a> </li>
      <li><a   href="/Contact/"target="_self">Contact</a> </li>
    </ul>
  </div>
</div>

      </div>
      <div class='content span-20 last'>
        <div id='header'>
        </div>
        
          <div class='menu span-20 clearfix'>
            <a class='menu_item' href='/Benchmarks'>Home</a> <a class='menu_item current' href='/Benchmarks/documents'>Datasets</a> <a class='user_menu_item'  href='/Benchmarks/register'>New account</a> 
            
<form action='/Benchmarks/users/login/' style='float:right;' method='post'>
  <div class='login_form'>
    <div style='display:none'><input type='hidden' name='csrfmiddlewaretoken' value='71538282a74e33c260f72589bc4a40a1' /></div>
    
    <input id="id_username" type="text" name="username" maxlength="30" />
    
    <input type="password" name="password" id="id_password" />
    
    <input class='submit' type='submit' value='Login'/>
    <input type='hidden' name='next' value='/Benchmarks/document/soma-detection/readdata.py'/>
  </div>
</form>


          </div>
        
        <div style='margin-top: 45px;' class='messages'>
          
          
          
        </div>
        <div>
          
  <div class='document'>
    <div class='title'>
      <h1>Automated Cell Nuclei detection for Large-Volume Electron Microscopy of Neural Tissue</h1>
    </div>
    <div class='abstract item'>
      <h2>
        Abstract
      </h2>
      Volumetric electron microscopy techniques, such as serial block-face electron microscopy (SBEM), generate massive amounts of image data that are used for reconstructing neural circuits. Typically, this requires time-intensive manual annotation of cells and their connections. To facilitate this analysis, we study the problem of automated detection of cell nuclei in a new SBEM dataset that contains cerebral cortex, white matter, and striatum from an adult mouse brain. The dataset was manually annotated to identify the locations of all 3309 cell nuclei in the volume. We make both dataset
and annotations available here.

    </div>
    <div class='body'>
      <table width="600px" frame="0">
<tbody>
<tr>
<td>
<p>This is a supplementary to the ISBI 2014 paper "Automated Cell Nucleus Detection for Large-Volume Electron Microscopy of Neural Tissue".</p>
<h2>Data and ground-truth annotations</h2>
<h3>Raw data</h3>
<p><a href="../../../../../somas/20130506-interareal_mag420130722_132814-x0-8_y0-6_z0-59.h5">raw data</a> (HDF5 file, 4 GB, md5sum <tt>8b1f88fd0cd57874dd8f0f0b74be61ba</tt>)</p>
<p>This file uses the <a href="http://www.hdfgroup.org/HDF5">HDF5</a> data format for chunked and compressed storage.             Regions of interest can be read from the file using Matlab's <a href="http://www.mathworks.de/de/help/matlab/ref/h5read.html">h5read</a> command,               using Python and <a href="http://code.google.com/p/h5py">h5py</a> library as well as many other languages (see             <a href="http://en.wikipedia.org/wiki/Hierarchical_Data_Format">the wikipedia article</a> for a list).</p>
<p>The data is stored in the group <tt>G1/20130722_132814</tt> as a dataset of size             <tt>1024 x 768 x 7552</tt>. It was written in chunks of <tt>64 x 64 x 64</tt> using the             <tt>deflate-1 OPT</tt> compression filter.              Note that the data is in <strong>x,y,z</strong> axis order, which requires a transpose when read              from C or python (see example below), and also from Matlab (because it uses y,x,z order).</p>
<p>An example python script to read a slice from the raw data and save it as a PNG image can be found             <a href="readdata.py">here</a>. It produces <a href="slice-2000.png">this image</a>.</p>
<h3>Ground-truth</h3>
<p>Ground-truth annotations are provided as CSV files (separator: comma)with <strong>x,y,z</strong> and <strong>r</strong> columns.<br /> <strong>x,y,z</strong> specify the manually marked approximate center position of each neuronal or glial nucleus;<br /> <strong>r</strong> the manually estimated radius. Because nuclei are in 3D and not always spherical these are only rough estimates.<br /> Two files are provided: In the first, the <em>complete</em> set of neuronal and glial nuclei annotations are given.             In the second, we have removed those annotations for which the sphere touches the volume border in order             to simplify evaluation of automated detection algorithms (see paper).</p>
<ul>
<li><a href="soma_groundtruth_all_orig.txt">Original ground-truth </a> (all neuronal and glial nuclei)</li>
<li><a href="soma_groundtruth_all_clean.txt">Edge clean ground-truth</a> (annotations touching border removed)</li>
</ul>
<h3>Source Code</h3>
<ul>
<li>Code for <strong>block-wise thresholding and connected-component labeling</strong> can be found in the             <a href="http://github.com/thorbenk/blockedarray">blockedarray github repository</a>.<br /> Example usage from C++ can be found in the <a href="https://github.com/thorbenk/blockedarray/blob/master/examples/ccpipeline.cpp">ccpipeline.cpp</a> file. </li>
<li> Code for <strong>block-wise component accumulator</strong> can be found in the             <a href="https://github.com/btekgit/soma-nuclei-matlab/blob/master/blockWiseComponentAccumulator.m">blockWiseComponentAccumulator.m</a> <br /> This matlab function works on a labelled volume dataset stored in an HDF5 file (created by the blockedarray). It             calculates bounding box, centroid, and coordinate list for all components except the label zero (assumed background).             The output is written to a <tt>.mat</tt> file. </li>
<li> Code for <strong>component-wise morphological filtering</strong> can be found in the file             <a href="https://github.com/btekgit/soma-nuclei-matlab/blob/master/componentWiseFiltering.m">componentWiseFiltering.m</a> <br /> This matlab function works on a component list (created by the blockWiseComponentAccumulator.m) stored             in a <tt>.mat</tt> file. It calculates and writes the new components to another <tt>.mat</tt> file. </li>
</ul>
</td>
</tr>
</tbody>
</table>
    </div>
    <div class='acknowledgement item'>
      <h2>
        Acknowledgements
      </h2>
      Shawn Mikula, Sarah Mikula, Ivo Sonntag, Winfried Denk

    </div>
    <div class='dataset item'>
      <h2>
        Dataset
      </h2>
      <div class='description'>
        DATA ACQUISITION:

A 20-week-old male mouse brain was prepared in its entirety for electron microscopy. A sub-volume containing cerebral cortex, white matter, and striatum was extracted from the epoxy-embedded whole brain with a trimmer (Leica) and
scalpel blade, and mounted on an aluminum stub. Back-
scattered electrons were imaged at 40nm pixel size in high
vacuum with SBEM on a QuantaFEG 200 (FEI) and using
a heuristic-based algorithm for automated aberration correc-
tion. The final stack size for the cortico-striatal dataset
was 4382 × 3435 × 30464 voxels, which was subsequently
downscaled 4 times for cell nucleus detection.

DATA FORMAT: 

The downscaled and cropped SBEM volume is grayscale (8-bit) and 1024×768×7552 voxels (x, y, z) in size, where each voxel is 160 × 160 × 200nm. It is available for download as an HDF5 file, which can be easily viewed by HDFView or read from using Python, Matlab or C.

GROUND TRUTH: 

Ground-truth annotations are provided as CSV files (separator: comma) with x,y,z and r columns.
x,y,z specify the manually marked approximate center position of each neuronal or glial nucleus;
r the manually estimated radius. Because nuclei are in 3D and not always spherical these are only rough estimates.
Two files are provided: In the first, the complete set of neuronal and glial nuclei annotations are given. In the second, we have removed those annotations for which the sphere touches the volume border in order to simplify evaluation of automated detection algorithms (see paper). 
        
    </div>
    <div class='information notice'>
      The recommended way to download the corresponding files is to <a
          href='/Benchmarks/register'>register</a> with this 
      website. <br/>
      If you are not interested in registration we will provide the files
      anyway. Just enter your email address into the following form and we
      will send you a download link. The session will be valid for one hour.
      <div class='form'>
        <form action='/Benchmarks/request_download/' method='post'>
          <div style='display:none'><input type='hidden' name='csrfmiddlewaretoken' value='71538282a74e33c260f72589bc4a40a1' /></div>
          <fieldset>
            <legend>Request download</legend>
            
              <div class='field_line clearfix'>
                <div class='left'><label for="id_email">Email</label></div>
                <div class='right'><input id="id_email" type="text" name="email" maxlength="75" /></div>
              </div>
              <div class='quiet'>
                The link to the requested dataset will be sent to this address.
              </div>
              <hr/>
            

            <input type='hidden' name='last_page' value='/Benchmarks/document/soma-detection/readdata.py'/>
            <input type='hidden' name='dataset_id' value='17'/>
            <input type='submit' value='request'/>
          </fieldset>
        </form>
      </div>
    </div>
  
</div>
<!--<div class='comments'>-->
  <!--<h2>Comments:</h2>-->
  <!--<div id='comments'>
  
</div>
-->
<!--</div>-->
<!--<div class='comment_form'>-->
  <!--
<div class='form'>
  <form action="/Benchmarks/comments/post/" method="post"><div style='display:none'><input type='hidden' name='csrfmiddlewaretoken' value='71538282a74e33c260f72589bc4a40a1' /></div>
    <fieldset>
      <legend>Post comment</legend>
      
        <div><input type="hidden" name="next" value="/document/soma-detection" /></div>
      
      
        
          <div><input type="hidden" name="content_type" value="groundtruth.document" id="id_content_type" /></div>
        
      
        
          <div><input type="hidden" name="object_pk" value="14" id="id_object_pk" /></div>
        
      
        
          <div><input type="hidden" name="timestamp" value="1440596231" id="id_timestamp" /></div>
        
      
        
          <div><input type="hidden" name="security_hash" value="a2f632b42a750b5c1102685f417c549fa837ae4a" id="id_security_hash" /></div>
        
      
        
          
          <div class='clearfix field_line' >
            <div class='left'><label for="id_name">Name</label></div> 
            <div class='right'><input id="id_name" type="text" name="name" maxlength="50" /></div>
            <hr/>
          </div>
        
      
        
          
          <div class='clearfix field_line' >
            <div class='left'><label for="id_email">Email address</label></div> 
            <div class='right'><input type="text" name="email" id="id_email" /></div>
            <hr/>
          </div>
        
      
        
          
          <div class='clearfix field_line' >
            <div class='left'><label for="id_url">URL</label></div> 
            <div class='right'><input type="text" name="url" id="id_url" /></div>
            <hr/>
          </div>
        
      
        
          
          <div class='clearfix field_line' >
            <div class='left'><label for="id_comment">Comment</label></div> 
            <div class='right'><textarea id="id_comment" rows="10" cols="40" name="comment"></textarea></div>
            <hr/>
          </div>
        
      
        
          
          <div class='clearfix field_line'  style="display:none;">
            <div class='left'><label for="id_honeypot">If you enter anything in this field your comment will be treated as spam</label></div> 
            <div class='right'><input type="text" name="honeypot" id="id_honeypot" /></div>
            <hr/>
          </div>
        
      
      <p class="submit">
        <input type="submit" name="post" class="submit-post" value="Post" />
      </p>
    </fieldset>
  </form>
</div>
-->
<!--</div>-->
<!--
        </div>
      </div>
      <div class='span-24' id='footerBar'></div>
      <div id='footer' class='span-24'><a href="http://www.uni-heidelberg.de/kontakt.html#impressum">Impressum</a></div>
    </div>
  </body>
</html>
